Index: palm/trunk/SCRIPTS/.mrun.config.dkrz
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.dkrz	(revision 1623)
+++ palm/trunk/SCRIPTS/.mrun.config.dkrz	(revision 1625)
@@ -28,8 +28,12 @@
 %compiler_name       mpif90                                                                                lcbullhh parallel
 %compiler_name_ser   ifort                                                                                 lcbullhh parallel
-%cpp_options         -cpp:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__lc:-D__parallel:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__intel_compiler lcbullhh parallel
+%fftw_inc          -I:/sw/rhel6-x64/numerics/fftw-3.3.4-bullxmpi-gcc48/include                             lcbullhh parallel
+%fftw_lib          -L/sw/rhel6-x64/numerics/fftw-3.3.4-bullxmpi-gcc48/lib:-lfftw3                          lcbullhh parallel
+%netcdf_inc        -I:/sw/rhel6-x64/netcdf/netcdf_fortran-4.4.2-parallel-bullxmpi-intel14/include          lcbullhh parallel
+%netcdf_lib        -L/sw/rhel6-x64/netcdf/netcdf_fortran-4.4.2-parallel-bullxmpi-intel14/lib:-lnetcdff     lcbullhh parallel
+%cpp_options         -cpp:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__lc:-D__parallel:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__intel_compiler:-D__fftw=__fftw lcbullhh parallel
 %mopts               -j:4                                                                                  lcbullhh parallel
 %fopts               -O3:-nbs:-convert:little_endian                                                       lcbullhh parallel
-%lopts               -O3:-nbs:-convert:little_endian:-lc:-lm:-Wl,-rpath=/sw/rhel6-x64/netcdf/netcdf_fortran-4.4.2-parallel-bullxmpi-intel14/lib            lcbullhh parallel
+%lopts               -O3:-nbs:-convert:little_endian:-lc:-lm:-Wl,-rpath=/sw/rhel6-x64/netcdf/netcdf_fortran-4.4.2-parallel-bullxmpi-intel14/lib:-Wl,-rpath=/sw/rhel6-x64/numerics/fftw-3.3.4-bullxmpi-gcc48/lib             lcbullhh parallel
 %remote_username     <replace_by_your_DKRZ_username>                                                       lcbullhh parallel
 %memory              1500                                                                                  lcbullhh parallel
@@ -42,8 +46,12 @@
 %compiler_name       mpif90                                                                                lcbullhh parallel trace
 %compiler_name_ser   ifort                                                                                 lcbullhh parallel trace
-%cpp_options         -cpp:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__lc:-D__parallel:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__intel_compiler lcbullhh parallel trace
+%fftw_inc          -I:/sw/rhel6-x64/numerics/fftw-3.3.4-bullxmpi-gcc48/include                             lcbullhh parallel trace
+%fftw_lib          -L/sw/rhel6-x64/numerics/fftw-3.3.4-bullxmpi-gcc48/lib:-lfftw3                          lcbullhh parallel trace
+%netcdf_inc        -I:/sw/rhel6-x64/netcdf/netcdf_fortran-4.4.2-parallel-bullxmpi-intel14/include          lcbullhh parallel trace
+%netcdf_lib        -L/sw/rhel6-x64/netcdf/netcdf_fortran-4.4.2-parallel-bullxmpi-intel14/lib:-lnetcdff     lcbullhh parallel trace
+%cpp_options         -cpp:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__lc:-D__parallel:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__intel_compiler:-D__fftw=__fftw lcbullhh parallel trace
 %mopts               -j:4                                                                                  lcbullhh parallel trace
 %fopts             -O0:-nbs:-convert:little_endian:-fpe0:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-C:-check:nooutput_conversion:-debug:-traceback:-g:-w:-xT:-align:all     lcbullhh parallel trace
-%lopts             -O0:-nbs:-convert:little_endian:-fpe0:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-C:-check:nooutput_conversion:-debug:-traceback:-g:-w:-xT:-align:all:-lc:-lm:-Wl,-rpath=/sw/rhel6-x64/netcdf/netcdf_fortran-4.4.2-parallel-bullxmpi-intel14/lib            lcbullhh parallel trace
+%lopts             -O0:-nbs:-convert:little_endian:-fpe0:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-C:-check:nooutput_conversion:-debug:-traceback:-g:-w:-xT:-align:all:-lc:-lm:-Wl,-rpath=/sw/rhel6-x64/netcdf/netcdf_fortran-4.4.2-parallel-bullxmpi-intel14/lib:-Wl,-rpath=/sw/rhel6-x64/numerics/fftw-3.3.4-bullxmpi-gcc48/lib             lcbullhh parallel trace
 %remote_username     <replace_by_your_DKRZ_username>                                                       lcbullhh parallel trace
 %memory              1500                                                                                  lcbullhh parallel trace