Index: palm/trunk/TUTORIAL/SOURCE/particle_model_cloud_physics.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/particle_model_cloud_physics.tex	(revision 1633)
+++ palm/trunk/TUTORIAL/SOURCE/particle_model_cloud_physics.tex	(revision 1634)
@@ -443,41 +443,4 @@
 % Folie 8
 \begin{frame}[t]
-   \frametitle{Basic Particle Parameters (V)}
-   \small
-   Parameter that defines the mode of particle movement: 
-   \vspace{+2mm}
-   
-   The concept of LES ...\\
-   \begin{center}
-      \includegraphics[scale=0.1]{particle_model_figures/basic_particle_parameters_5.png}
-   \end{center}
-   \vspace{-5mm}
-   \onslide<2->
-   ... transferred to the embedded particle model leads to particle velocity:\\
-   \begin{center}
-         $\vec{V}_{{\text{particle}}} = \vec{V}_{{\text{resolved}}} + \vec{V}_{{\text{subgrid}}}$\\
-    \end{center}
-         \onslide<3->
-         \scriptsize 
-         Accordingly, the particle movement is a result of: 
-         \begin{itemize}
-            \scriptsize 
-            \item<3-> resolved flow $\vec{V}_{{\text{resolved}}}$
-            \vspace{-2mm}
-            \item<3-> and subgrid scale turbulence $\vec{V}_{{\text{subgrid}}}$
-            \begin{itemize}
-            \scriptsize 
-            \item<4-> $\vec{V}_{{\text{subgrid}}}=0$, if \texttt{use\underline{ }sgs\underline{ }for\underline{ }particles = .F.} (default value)
-\item<4-> $\vec{V}_{{\text{subgrid}}}\ne0$, if \texttt{use\underline{ }sgs\underline{ }for\underline{ }particles = .T. } determination of the subgrid part of the particle velocity as a solution of a stochastic differential equation (see Weil et al., 2004, JAS)
-
-            \end{itemize}
-         \end{itemize}
-
-
-
-\end{frame}
-
-% Folie 9
-\begin{frame}[t]
    \frametitle{Basic Particle Parameters (VI)}
    \small
@@ -568,5 +531,5 @@
 \end{frame}
 
-% Folie 10
+% Folie 9
 \begin{frame}
    \frametitle{Basic Particle Parameters (VIII)}
@@ -596,5 +559,5 @@
 \end{frame}
 
-% Folie 11
+% Folie 10
 \begin{frame}[fragile]
    \frametitle{An Example of a Particle NAMELIST}
@@ -603,6 +566,5 @@
    \begin{tikzpicture}
    \node [yellow] {\begin{lstlisting}  
- &particles_par  dt_dopts = 25.0,
-                 bc_par_b = 'absorb',
+ &particles_par  bc_par_b = 'absorb',
                  density_ratio = 0.001, 
                  radius = 1.0E-6,
@@ -624,25 +586,51 @@
 \subsection{Theory}
 
+% Folie 11
+\begin{frame}[t]
+   \frametitle{Theory of the LPM (I) -- Passive Advection (I)}
+   \small
+   Parameter that defines the mode of particle movement: 
+   \vspace{+2mm}
+   
+   The concept of LES ...\\
+   \begin{center}
+      \includegraphics[scale=0.1]{particle_model_figures/basic_particle_parameters_5.png}
+   \end{center}
+   \vspace{-5mm}
+   \onslide<2->
+   ... transferred to the embedded particle model leads to particle velocity:\\
+   \begin{center}
+         $\vec{V}_{{\text{particle}}} = \vec{V}_{{\text{resolved}}} + \vec{V}_{{\text{subgrid}}}$\\
+    \end{center}
+         \onslide<3->
+         \scriptsize 
+         Accordingly, the particle movement is a result of: 
+         \begin{itemize}
+            \scriptsize 
+            \item<3-> resolved flow $\vec{V}_{{\text{resolved}}}$
+            \vspace{-2mm}
+            \item<3-> and subgrid scale turbulence $\vec{V}_{{\text{subgrid}}}$
+            \begin{itemize}
+            \scriptsize 
+            \item<4-> $\vec{V}_{{\text{subgrid}}}=0$, if \texttt{use\underline{ }sgs\underline{ }for\underline{ }particles = .F.} (default value)
+\item<4-> $\vec{V}_{{\text{subgrid}}}\ne0$, if \texttt{use\underline{ }sgs\underline{ }for\underline{ }particles = .T. }
+            \end{itemize}
+         \end{itemize}
+         
+\end{frame}
+
+
 % Folie 12
 \begin{frame}[t]
-   \frametitle{Theory of the Lagrangian Particle Model (I)}
+   \frametitle{Theory of the LPM (II) -- Passive Advection (II)}
    \footnotesize
-   \textbf{Advection of Passive Particles}\\
    \vspace{1mm}
    \begin{itemize}
    \item The position of the particle is found by integrating $ \dfrac{d \vec{X}_{\text{particle}}}{dt} = \vec{V}_{\text{particle}}$ 
-   \item The particle's velocity consist of a resolved and a subgrid part:\\
+   \item The particle's velocity consist of a \textcolor{red}{resolved} and an optional \textcolor{blue}{subgrid part}:\\
    \begin{center}
-    $\vec{V}_{\text{particle}} = \vec{V}_{\text{res}} (+ \vec{V}_{\text{sub}})$\\
+    $\vec{V}_{\text{particle}} = \textcolor{red}{\vec{V}_{\text{res}}} (+ \textcolor{blue}{\vec{V}_{\text{sub}}})$\\
     \end{center}
-%   \vspace{2mm}
-%   \onslide<2->Transferring the LES concept ...
-%   \includegraphics[scale=0.1]{particle_model_figures/basic_particle_parameters_5.png}\\
-%   \vspace{-2mm}
-%   \scriptsize \hspace{2em}total energy\hspace{2.25em}=\hspace{3em}resolved part\hspace{2.5em}+\hspace{3em}modelled part\\
-%   \vspace{1mm}
-%   \small ... to the embedded particle model leads to: $\vec{V}_{\text{particle}} = \vec{V}_{\text{res}} (+ \vec{V}_{\text{sub}})$\\
-%   \vspace{2mm}
-   \item<2-> The resolved part $\vec{V}_{\text{res}}$ is derived by a tri-linear interpolation: 
+   \item<1-> The resolved part $\textcolor{red}{\vec{V}_{\text{res}}}$ is derived by a tri-linear interpolation: 
    \begin{tikzpicture}[remember picture, overlay]
       \node [shift={(1.7 cm,2.8cm)}]  at (current page.south west)
@@ -718,6 +706,6 @@
       \end{tikzpicture}
       
-      \vspace{+2.5cm}
-      \item<3-> The $\vec{V}_{\text{sub}}$ is only computed if \texttt{use\underline{ }sgs\underline{ }for\underline{ }particles = .T.} (this also requires \texttt{use\underline{ }upstream\underline{ }for\underline{ }tke = .T.} in the \texttt{inipar} namelist). Then, a solution for $\vec{V}_{\text{sub}}$ is derived from a stochastic differential equation (see Weil et al., 2004, JAS). 
+      \vspace{+3.2cm}
+      \item<1-> $\textcolor{blue}{\vec{V}_{\text{sub}}}$ is only computed if \texttt{use\underline{ }sgs\underline{ }for\underline{ }particles = .T.} Then, a solution for $\textcolor{blue}{\vec{V}_{\text{sub}}}$ is derived from a stochastic differential equation \\(see Weil et al., 2004, JAS). 
             \end{itemize}
 \end{frame}
@@ -725,15 +713,19 @@
 % Folie 13
 \begin{frame}[t]
-   \frametitle{Theory of the Lagrangian Particle Model (II)}
+   \frametitle{Theory of the LPM (III) -- Non-Passive Advection}
    \footnotesize
-   \textbf{Advection of Non-passive Particles}\\
-   \ \\
-   Newton's second law for a droplet (considering Stoke's drag, gravity and buoyancy):\\
+  % \footnotesize
+   Newton's second law of motion for a (spherical!) particle, for which \textcolor{red}{Stoke's drag}, \textcolor{blue}{gravity} and \textcolor{orange}{buoyancy} are considered:\\
    \vspace{4mm}
-   $\dfrac{dV_i}{dt} = \dfrac{1}{\tau_p} (u_i - V_i) - \delta_{i3}( 1 - \rho_0 / \rho_l ) g$\\
+   \begin{center}
+   $\dfrac{dV_i}{dt} = \textcolor{red}{\dfrac{1}{\tau_p} (u_i - V_i)} - \delta_{i3}( 1 - \textcolor{orange}{\rho_0 / \rho_l} ) \cdot \textcolor{blue}{g},$\\
+      \end{center}
       \vspace{2mm}
-  with the inertial response time $\tau_p^{-1} = \dfrac{9 \nu \rho_0}{2 r^2 \rho_l} \left( 1 + 0.15 \text{Re}^{0.687} \right)$ including a correction term (in parenthesis) for high Reynolds numbers (see Clift et al., 1978)\\%based on $\text{Re} = \dfrac{2r \left| \vec{u}_i - \vec{V}_i \right|}{\nu} $ (see Clift et al., 1978)\\
-   \vspace{10mm}
-   \onslide<1->
+  with the inertial response time 
+  \begin{align*}
+  \tau_p^{-1} = \frac{9 \nu \rho_0}{2 r^2 \rho_l} \textcolor{magenta}{\left( 1 + 0.15 \cdot \text{Re}^{0.687} \right)},
+    \end{align*}
+    including a \textcolor{magenta}{correction term} for high Reynolds numbers (see Clift et al., 1978)\\
+   \vspace{1mm}
    \begin{tabular}{llll}
 	   $g$   & = gravitational acceleration & $\rho_l$ & = density of water\\
@@ -743,16 +735,15 @@
    \end{tabular}
 
+
 \end{frame}
 
 % Folie 14
 \begin{frame}[t]
-   \frametitle{Theory of the Lagrangian Particle Model (III)}
+   \frametitle{Theory of the LPM (IV) -- Cloud Droplets (I)}
    \footnotesize
-   \textbf{Using Particles as Cloud Droplets}\\
-   \small
    \begin{itemize}
       \item This feature is switched on by setting the initial parameter \texttt{cloud\_droplets = .TRUE.}
-      \item In this case, the change in particle radius by condensation/evaporation and collision/coalescence is calculated for every timestep.
-      \item In case of condensation or evaporation, the potential temperature and the specific humidity (computed by the LES) have to be adjusted. This is done within the subroutine \texttt{interaction\_droplets\_ptq}, which is therefore the major coupling between the LES and the LPM.
+      \item In this case, the change in particle radius by condensation/evaporation and collision/coalescence is calculated for each time step.
+      \item In case of condensation or evaporation, the LES variables potential temperature and the specific humidity have to be adjusted. This is done within the subroutine \texttt{interaction\_droplets\_ptq} (which is the major coupling between LES and LPM).
    \end{itemize}
 \end{frame}
@@ -760,50 +751,43 @@
 % Folie 15
 \begin{frame}[t]
-   \frametitle{Theory of the Lagrangian Particle Model (IV)}
+   \frametitle{Theory of the LPM (V) -- Cloud Droplets (II)}
    \footnotesize
-   \textbf{Simulation of Cloud Droplets (I)}\\
-   \begin{itemize}
-      \item Simulation of enormous particle numbers like in real clouds\\ is impossible
-      \begin{itemize}
-         \footnotesize
-         \item Ensembles of water droplets are simulated
-         \vspace{1mm}
-         \item Every simulated droplet stands for a very high number\\ of real droplets
-         \vspace{1mm}
-         \item Concept of weighting factor (Shima et al., 2009, QJRMS):\\
+   \begin{itemize}
+      \item Simulation of realistic particle numbers (as found in clouds) is impossible
+         \item Ensembles of water droplets are simulated instead
+         \item Each simulated particle represents a very high number\\ of real droplets
+         \item Concept of super-droplets (Shima et al., 2009, QJRMS):\\
          \begin{center}
-          $A_i = \textit{real number of droplets represented by one simulated droplet}$
-              \includegraphics[scale=1.0]{particle_model_figures/super.jpg}
+                       \includegraphics[scale=1.0]{particle_model_figures/super.jpg}
+                       
+                        $A_i = \textit{number of droplets represented by one simulated particle}$
+
           \end{center}
-         \vspace{-2mm}
+         \vspace{-1mm}
          \item Initial weighting factor can be assigned with the parameter \texttt{initial\underline{ }weighting\underline{ }factor}
-      \end{itemize}
    \end{itemize}
    
-
 \end{frame}
 
 % Folie 16
 \begin{frame}[t]
-   \frametitle{Theory of the Lagrangian Particle Model (V)}
+   \frametitle{Theory of the LPM (VI) -- Diffusional Growth}
    \footnotesize
-   \textbf{Simulation of Cloud Droplets (II)}\\
-   \scriptsize
-   \begin{itemize}
+  % \scriptsize
+    \begin{itemize}
       \item The growth of the radius of single droplet by condensation/evaporation:\\
-      \vspace{1mm}
-      $ r_i \dfrac{dr_i}{dt} = \dfrac{(S - a\,r^{-1} + b\,r^{-3})}{F_\text{k} + F_\text{d}}$\\
-      \vspace{1mm}
-      primarily depending on the supersaturation $S = e / e_\text{s}-1$, including the effects of the particle's curvature (parameter $a$) and amount of solute aerosol (parameter $b$)
-      \vspace{1.5mm}
-      \item<2-> For $r > 1\,\text{\textmu m}$ solution and curvature effects are neglected $\Rightarrow$ an analytic solution is possible: \\
-      $ r_i \dfrac{dr_i}{dt} = \dfrac{S}{F_k + F_d} \Rightarrow r_i(t) = \sqrt{ r_{i,0}^2 + 2 \cdot \Delta t \cdot \left( \dfrac{S}{F_\text{k} + F_\text{d}} \right)}$
-   \end{itemize}
-   \vspace{1.0cm}
+\begin{align*} 
+r \dfrac{\text{d}r}{\text{d}t} = \dfrac{(\textcolor{red}{S} - \textcolor{blue}{a}\,r^{-1} + \textcolor{orange}{b}\,r^{-3})}{F_\text{k} + F_\text{d}}
+\end{align*}
+      primarily depending on the \textcolor{red}{relative water supersaturation $S$}, and the effects of the \textcolor{blue}{particle's curvature ($a$)} and \textcolor{orange}{physical and chemical properties of aerosol ($b$)}
+
+\item Stiff differential equation: Numerical integration with a 4th-order Rosenbrock method, which adapts its internal time step for an accurate and computationally efficient solution (Grabowski et al., 2011, Atmos. Res.)
+
+   \end{itemize}
    \hspace{0.5cm}
+   \footnotesize
    \begin{tabular}{llll}
 	   $r$   & = Droplet radius & $S$   & = Supersaturation\\
 	   $a$ & = Curvature effect    & $b$  & = Solution effect\\
-	   $e$ & = Vapor pressure  &  $e_\text{s}$ & = Saturation vapor pressure\\  
 	   $F_\text{k}$ & = Effect of heat conduction & $F_\text{d}$ & = Effect of vapor diffusion
    \end{tabular}
@@ -813,38 +797,42 @@
 % Folie 17
 \begin{frame}[t]
-   \frametitle{Theory of the Lagrangian Particle Model (VI)}
+   \frametitle{Theory of the LPM (VII) -- Collisions (I)}
+   \vspace{-2mm}
    \footnotesize
-   \textbf{Simulation of Cloud Droplets (III)} -- Idealized concept of droplet collisions\\
-   \begin{tikzpicture}[remember picture, overlay]
-      \node [shift={(6.0cm,4.0cm)}]  at (current page.south west)
-         {%
-         \begin{tikzpicture}[remember picture, overlay]
-            \node at (0.0,0.0) {\includegraphics[scale=0.25]{particle_model_figures/collision1.png}};
-         \end{tikzpicture}
-         };
-   \end{tikzpicture}     
+    \begin{itemize}
+   \item Two prognostic quantities: 
+   
+$\ \ \ $ (i) \textbf{weighting factor} $A$ and (ii) \textbf{total mass} of super-droplet $m$
+\item total mass: mass of all droplets represented by one super-droplet
+\end{itemize}
+   \vspace{-3mm}
+\begin{center}
+\includegraphics[scale=0.5]{particle_model_figures/coll.pdf}
+\end{center}
 \end{frame}
 
 % Folie 18
 \begin{frame}[t]
-   \frametitle{Theory of the Lagrangian Particle Model (VII)}
+   \frametitle{Theory of the LPM (VIII) -- Collisions (II)}
    \footnotesize
-   \textbf{Simulation of Cloud Droplets (IV)}\\
-   \scriptsize   
-   \begin{itemize}
-      \item Calculation of droplet growth due to collisions considers three types of collisions: 
-      \vspace{-0.4cm}
-      \begin{enumerate}
-      \scriptsize
-          \item collisions with smaller droplets $\Rightarrow$ increase the radius
-          \item collisions with larger droplets $\Rightarrow$ decrease the weighting factor
-          \item internal collisions $\Rightarrow$ decrease the weighting factor and increase the radius
-      \end{enumerate}
-      \item Two prognostic quantities: Weighting factor $A_n$ and mass of super-droplet expressed as volume averaged droplet radius $r_n=(m_n / (4/3 \pi \rho_\text{l} A_n))^{1/3}$:
+     \begin{itemize}
+         \item Calculation of droplet growth due to collisions considers three types of collisions (for all droplets located in one grid box): 
+     % \vspace{-0.4cm}
+      \begin{itemize}
+      \footnotesize
+          \item \textcolor{red}{collisions with smaller droplets $\Rightarrow$ increase  total mass}
+          \item \textcolor{blue}{collisions with larger droplets \ \ $\Rightarrow$ decrease  weighting factor \hphantom{collisions with larger droplets \ \ $\Rightarrow$} and total mass}
+          \item \textcolor{orange}{internal collisions \hphantom{ager droplets} $\Rightarrow$ decrease  weighting factor}
+      \end{itemize}
+       \item Total mass of super-droplet not useful 
+       
+       $\Rightarrow$ volume averaged droplet radius $r_n=(m_n / (4/3 \pi \rho_\text{l} A_n))^{1/3}$
+
+      \item Droplets are sorted that $r_1<r_2<...< r_{N_\text{p}-1} <r_{N_\text{p}}$:
          \scriptsize
 \begin{alignat*}{3}
-A_n^{\ast}&=A_n &&-  K(r_n,\, r_n) \, \frac{1}{2} \, \frac{A_n (A_n - 1)}{\Delta V} \, \Delta t - \sum \limits_{m=n+1}^{N_\text{p}} K(r_m,\, r_n) \frac{A_n \, A_m}{\Delta V} \, \Delta t\\
- r_n^{\ast}&=\left(\vphantom{\sum \limits_{m=1}^{n-1}} \right. &&\left[ \vphantom{\sum \limits_{m=1}^{n-1}}\right. r_n^3 + \sum \limits_{m=1}^{n-1} K(r_\text{n}, \, r_\text{m}) \frac{A_m}{\Delta V} \, r_m^3 \, \Delta t -\sum \limits_{m=n+1}^{N_\text{p}} K(r_\text{m}, \, r_\text{n}) \frac{A_m}{\Delta V} \, r_n^3 \, \Delta t \left.\vphantom{\sum \limits_{m=1}^{n-1}}\right] \left/\vphantom{\sum \limits_{m=1}^{n-1}}\right. \notag \\
-&  && \left[\vphantom{\sum \limits_{m=1}^{n-1}}\right.\ 1 -  K(r_n,\, r_n) \, \frac{1}{2} \, \frac{A_n - 1}{\Delta V} \, \Delta t -\left. \left. \sum \limits_{m=n+1}^{N_\text{p}} K(r_m,\, r_n) \frac{A_m}{\Delta V} \, \Delta t \right] \right)^{1/3}
+A_n^{\ast}&=A_n &&\textcolor{orange}{-  K(r_n,\, r_n) \, \frac{1}{2} \, \frac{A_n (A_n - 1)}{\Delta V} \, \Delta t} \ \textcolor{blue}{- \sum \limits_{m=n+1}^{N_\text{p}} K(r_m,\, r_n) \frac{A_n \, A_m}{\Delta V} \, \Delta t}\\
+ r_n^{\ast}&=\left(\vphantom{\sum \limits_{m=1}^{n-1}} \right. &&\left[ \vphantom{\sum \limits_{m=1}^{n-1}}\right. r_n^3 + \textcolor{red}{\sum \limits_{m=1}^{n-1} K(r_\text{n}, \, r_\text{m}) \frac{A_m}{\Delta V} \, r_m^3 \, \Delta t } \ \textcolor{blue}{-\sum \limits_{m=n+1}^{N_\text{p}} K(r_\text{m}, \, r_\text{n}) \frac{A_m}{\Delta V} \, r_n^3 \, \Delta t} \left.\vphantom{\sum \limits_{m=1}^{n-1}}\right] \left/\vphantom{\sum \limits_{m=1}^{n-1}}\right. \notag \\
+&  && \left[\vphantom{\sum \limits_{m=1}^{n-1}}\right.\ 1 \textcolor{orange}{-  K(r_n,\, r_n) \, \frac{1}{2} \, \frac{A_n - 1}{\Delta V} \, \Delta t} \ \textcolor{blue}{-}\left. \left. \textcolor{blue}{\sum \limits_{m=n+1}^{N_\text{p}} K(r_m,\, r_n) \frac{A_m}{\Delta V} \, \Delta t} \right] \right)^{1/3}
 \end{alignat*}
 \end{itemize}
@@ -853,7 +841,6 @@
 % Folie 19
 \begin{frame}[t]
-   \frametitle{Theory of the Lagrangian Particle Model (VIII)}
+   \frametitle{Theory of the LPM (IX) -- Collisions III}
    \footnotesize
-   \textbf{Simulation of Cloud Droplets (V)}\\
    \begin{itemize}
       \item \textbf{Collision kernel without turbulence effects}:\\
@@ -865,5 +852,5 @@
       Wang and Grabowski, 2009, ASL):\\
       \vspace{1mm}
-      $K(r_\text{n}, r_\text{m}) = 2 \pi (r_\text{n} + r_\text{m})^2 \cdot \textcolor{red}{\eta_E} E(r_\text{n}, r_\text{m}) \cdot \textcolor{red}{\langle| w_r |\rangle} \textcolor{red}{g_\text{RDF}} $\\
+      $K(r_\text{n}, r_\text{m}) = 2 \pi (r_\text{n} + r_\text{m})^2 \cdot \textcolor{red}{\eta_E} \cdot E(r_\text{n}, r_\text{m}) \cdot \textcolor{red}{\langle| w_r |\rangle \cdot} \textcolor{red}{g_\text{RDF}} $\\
       \vspace{+1mm}
       all \textcolor{red}{red} variables parameterize effects of turbulence
@@ -941,46 +928,22 @@
    \begin{itemize}
    \item Handling hundreds of millions of particles, efficient storing is essential for a good performance
-   \item The easiest method for storing Lagrangian particles is an one-dimensional array
-   \item Most applications demand particles located at a certain location (e.\,g., collision process is computed for all particles located in a certain grid box)
-      \item Finding this particles demands \texttt{N}$^2$ operations:
-      \scriptsize
-\begin{lstlisting}
-DO  n = 1, N
-   DO  k = 1, N
-      IF ( k /= n )  THEN
-         IF ( ABS( particles(k)%x - particles(n)%x )   &
-              < threshold )  THEN
-            ...
-         ENDIF
-      ENDIF
-   ENDDO
-ENDDO
-\end{lstlisting}
-   \end{itemize}
-\end{frame}
+    \item Most applications demand particles located at a certain location (e.\,g., collision process is computed for all particles located in a certain grid box)
+      \item Sorting the particles by their respective grid-box increases the computability of the code, but needs time for the sorting itself 
+\item<2-> A new, efficient approach for storing particles is implemented in PALM: \\
+\only<1>{\begin{center}
+\vphantom{\colorbox{red}{\textbf{a four-dimensional array}}}
+\end{center}
+}
+\only<2>{
+\begin{center}
+\colorbox{red}{\textbf{a four-dimensional array}}
+\end{center}
+}
+
+   \end{itemize}
+\end{frame}
+
 
 % Folie 22
-\begin{frame}[fragile]
-   \frametitle{Storing Lagrangian particles (I)}
-   \begin{itemize}
-      \item Sorting the particles by their respective grid-box reduces the operations to \texttt{N}:
-         \scriptsize
-\begin{lstlisting}
-DO  n = n_start(k,j,i), n_end(k,j,i)
-   ...
-ENDDO
-\end{lstlisting}
-\normalsize
-\item This was done in the previous version of PALM, reducing CPU time of LPM by 9.6\,\%
-\item However, sorting increases CPU time and demands a second, one-dimensional array for efficient sorting
-\item<2-> To overcome these issues, a new approach has been developed for the current version of PALM: \\
-\begin{center}
-\textbf{a four-dimensional array}
-\end{center}
-   \end{itemize}
-\end{frame}
-
-
-% Folie 23
 \begin{frame}[t]
    \frametitle{Storing Lagrangian particles (III)}
@@ -1066,29 +1029,31 @@
       \uncover<1->{\node[text width=10em] at (10,0) {\scriptsize - All particles located in a certain grid-box are stored in a \textit{small} one-dimensional particle array permanently assigned to their grid-box\\
       \ \\
-      - LPM CPU time decreases by 22\,\%\\
-      \ \\
-      - Available memory doubles, since no large additional arrays are needed for assigning the particles to their grid-box\\};}
+      - LPM CPU time decreases by 22\,\% (in comparison to storing particles in a one-dimensional array)\\
+%      \ \\
+%      - Available memory doubles, since no large additional arrays are needed for assigning the particles to their grid-box\\
+};}
    \end{tikzpicture}
 
 \end{frame}
 
-% Folie 24
+% Folie 23
 \begin{frame}[fragile]
    \frametitle{Storing Lagrangian particles (IV)}
    \scriptsize
    \begin{itemize}
-   \item A new \textbf{3D-array} of another FORTRAN derived data type: \texttt{grid\_particle\_def}
-   \item This type contains, as an element, a \textbf{1D-array} of the FORTRAN derived data type \texttt{particle\_type}, in which the particles, located at that grid box, are stored
+   \item A \textbf{3D-array} of another FORTRAN derived data type: \texttt{grid\_particle\_def}
+   \item This type contains, as an element, a \textbf{1D-array} of the FORTRAN derived data type \texttt{particle\_type}, in which the particles located at that grid box are stored
    \end{itemize}
    \tikzstyle{yellow} = [rectangle, draw, fill=yellow!30, text width=1.05\textwidth, font=\scriptsize,scale=0.95]
-   \begin{tikzpicture}
-   \node[yellow]{\begin{lstlisting}  
- TYPE  grid_particle_def
-     TYPE(particle_type), DIMENSION(:) ::  particles 
- END TYPE grid_particle_def
-
- TYPE(grid_particle_def), DIMENSION(:,:,:) ::  grid_particles
-\end{lstlisting}
-   };
+   \vspace{-0.2mm}
+   \begin{tikzpicture}\node[yellow]{\begin{lstlisting}  
+TYPE  grid_particle_def
+   TYPE(particle_type), DIMENSION(:), ALLOCATABLE ::  particles 
+END TYPE grid_particle_def
+
+TYPE(grid_particle_def), DIMENSION(:,:,:), ALLOCATABLE ::     &
+                                                 grid_particles
+   \end{lstlisting}};
+   \vspace{-0.2mm}
    \end{tikzpicture}
    \vspace{-4mm}
@@ -1104,5 +1069,5 @@
       IF ( n_par <= 0 )  CYCLE
       particles(1:n_par) = &
-        grid_particles(kp,jp,ip)%particles(1:n_par)
+        grid_particles(k,j,i)%particles(1:n_par)
       DO  n = 1, n_par
         particles(n)%radius = 1.0E-6
@@ -1115,4 +1080,27 @@
 %\end{lstlisting}
       \end{itemize}
+   
+\end{frame}
+
+% Folie 24
+\begin{frame}[fragile]
+   \frametitle{Storing Lagrangian Particles (V) -- Efficient interpolation}
+ \begin{columns}
+ \begin{column}{6cm}
+ \footnotesize
+ \begin{itemize}
+ \item For interpolating any LES quantity on the location of a particle, the data from 8 grid points is needed
+ \item The indices of these grid points have to be determined for each particle
+ \item Depending on the particle's location within the grid box, the same set of indices is needed for all particles in the same sub-grid box
+ \item Sorting the particles by their sub-grid box makes the determination of the indices for each particle unnecessary
+ \item Sorting increases CPU time by 3\,\%, but efficient interpolation \textbf{speeds up the model by 22\,\%}
+ \end{itemize}
+ \end{column}
+  \begin{column}{6cm}
+    \begin{center}
+   \includegraphics[scale=0.47]{particle_model_figures/interpolation_neu.pdf}
+   \end{center}
+ \end{column}
+ \end{columns}
    
 \end{frame}
@@ -1372,19 +1360,15 @@
 \begin{frame}[t]
    \frametitle{Application Examples of the LCM (I)}
-   \footnotesize
    \textbf{The Lagrangian Cloud Model has many advantages:}
    \begin{itemize}
-      \item Dynamics and microphysics of the cloud are directly related to physical processes of the individual droplets
-      \item Many microphysical processes are modeled by first principles \\
+         \item Many microphysical processes are modeled by first principles \\
       $\Rightarrow$ (almost) no parameterizations
-      \item The LCM provides detailed information, e.\,g., spatial and temporal evolution of the droplet spectrum, spatial distribution of the droplet concentration, droplet trajectories, ...
+         \item We are able to simulate cloud microphysics on a very accurate level, but we are also able to cope the macro-scale, i.\,e., a whole cloud or cloud ensemble by LES\\
+      \item The LCM provides detailed information, e.\,g., spatial and temporal evolution of the droplet spectrum, droplet trajectories, ...
    \end{itemize}
       \textbf{How to use these advantages?}
    \begin{itemize}
-      \item Many cloud microphysical processes are still not sufficiently understood, but have a large impact on macroscopic cloud properties 
-      \item Open Issues: production of rain, interaction of clouds and aerosols, ...
-      \item Using the LCM, we are able to simulate cloud microphysics on a very accurate level, but are also able to cope the macroscale, i.\,e., the whole cloud or cloud ensemble\\
-      $\Rightarrow$ \textbf{new insights on clouds and their physics}
-   \end{itemize}
+   \item Some application examples will show!
+        \end{itemize}
    \vspace{1.5mm}
 \end{frame}
@@ -1392,37 +1376,16 @@
 % Folie 31
 \begin{frame}[t]
-   \frametitle{Application Examples of the LCM (II)}
+   \frametitle{Application Examples of the LCM (I)}
    \footnotesize
-   \textbf{From Riechelmann et al. (2012, NJP):}
-      \begin{tikzpicture}[remember picture, overlay]
-      \node [shift={(6.3 cm, 4.2 cm)}]  at (current page.south west)
-         {%
-         \begin{tikzpicture}[remember picture, overlay]
-            \node at (0.0,0.0) {\includegraphics[scale=0.4]{particle_model_figures/turbulence_effects_2.png}};
-            \node at (-3.0,2.6) {Kernel without turbulence effects};
-            \node at (3,2.6) {Kernel with turbulence effects};
-
-         \end{tikzpicture}
-         };
-   \end{tikzpicture}
-   \ \\  
-   \vspace{52mm}
-   $\rightarrow$ Turbulence effects enhance droplet growth and lead to more realistic mass distribution function\\
+      \textbf{How to Track Particles:}
+   \begin{center}
+   \includegraphics[scale=0.28]{particle_model_figures/traj.jpg}
+   \end{center}
+   $\rightarrow$ Find out what a droplet is experiencing during its life time
 \end{frame}
 
 % Folie 32
 \begin{frame}[t]
-   \frametitle{Application Examples of the LCM (III)}
-   \footnotesize
-      \textbf{From Lee et al. (2014, MAP):}
-   \begin{center}
-   \includegraphics[scale=0.25]{particle_model_figures/lee.jpg}
-   \end{center}
-   $\rightarrow$ Confirm the importance of the cloud top and the affiliated mixing processes for the initiation of rain
-\end{frame}
-
-% Folie 33
-\begin{frame}[t]
-   \frametitle{Application Examples of the LCM (IV)}
+   \frametitle{Application Examples of the LCM (II)}
    \footnotesize
       \textbf{From Hoffmann et al. (2015, AR):}
@@ -1433,5 +1396,5 @@
 \end{frame}
 
-% Folie 34
+% Folie 33
 \begin{frame}
    \frametitle{General Warning}