Index: palm/trunk/TUTORIAL/SOURCE/exercise_interface.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/exercise_interface.tex	(revision 1634)
+++ palm/trunk/TUTORIAL/SOURCE/exercise_interface.tex	(revision 1645)
@@ -71,5 +71,5 @@
    \frametitle{Exercise 3: User Interface}
    \begin{itemize}
-      \item Carry out a run for a convective boundary layer where a surface heat flux is given for a limited rectangular area only.
+      \item Carry out a run for a convective boundary layer where a surface heat flux is given for a limited rectangular area:
 
             \tikzstyle{green} = [rectangle, draw, fill=green!70, minimum size=51pt, font=\tiny]
@@ -81,5 +81,5 @@
                \uncover<2->{\node [green] (green) {};}
                \uncover<3->{\node [red, rotate=90] (red) {};}
-               \uncover<4->{\node [textd] (textd) {d};}
+               \uncover<4->{\node [textd] (textd) {$d$};}
                \uncover<4->{\draw [latex-,line width=0.8pt] (red.south) -- (textd.east);}
                \uncover<4->{\draw [latex-,line width=0.8pt] (red.north) -- (textd.west);}
@@ -87,8 +87,8 @@
             \end{center}
 
-      \item<5-> It should be possible to control the area width d by a user-defined parameter in the parameter file. All other parameters should be chosen as in the example run ({\texttt{\scriptsize example\_cbl}}).
+      \item<5-> It should be possible to control the area width $d$ by a user-defined parameter in the parameter file. All other parameters should be chosen as in the example run ({\texttt{\scriptsize example\_cbl}}).
       \item<6-> Create horizontal and vertical cross sections of variables in order to analyze the flow field.
-      \item<7-> Create mean vertical profiles of temperature and resolved/subgrid-scale heatflux for the total domain but also for the limited rectangular area and the total domain without the limited area. Also create time series for these three domains.\\ 
-      This can be done by using the \textbf{statistic region concept} already implemented in PALM.
+      
+      \only<7->{\scriptsize \textit{Recommendations: Create mean vertical profiles of temperature and resolved/subgrid-scale heatflux for the total domain but also for the limited rectangular area and the total domain without the limited area. Also create time series for these three domains. This can be done by using the \textbf{statistic region concept} already implemented in PALM.}}
 
    \end{itemize}
@@ -101,18 +101,17 @@
     \begin{itemize}
        \item<1-> By default, mean horizontal profiles are calculated and output for the total domain.
-       \item<2-> The user can define up to nine so-called statistic regions, which can be arbitrary subsets of the total domain and PALM will calculate and output mean profiles for these regions too.
+       \item<2-> The user can define up to nine so-called statistic regions, which can be arbitrary subsets of the total domain and PALM will calculate and output mean profiles for these regions, too.
     \end{itemize}
     \vspace{1em}
     \onslide<3->\textbf{Procedure:}
     \begin{enumerate}
-       \item<3-> Set the number of statistic regions you additionally want to define by assigning a value to the {\texttt{\scriptsize {\&}inipar}}-parameter {\texttt{\scriptsize statistic\_regions}}.
+       \item<3-> Set the number of statistic regions you additionally want to define by assigning a value to the {\texttt{\scriptsize {\&}inipar}}-parameter {\texttt{\scriptsize \textcolor{blue}{statistic\_regions}}}.
        \item<4-> Within the user-interface ({\texttt{\scriptsize user\_init}}), set the masking array {\texttt{\scriptsize rmask}}. It is an {\texttt{\scriptsize INTEGER}} array with array-bounds
        \begin{center}
-       {\texttt{\scriptsize rmask(nysg:nyng,nxlg:nxrg,0:9)}}
+       {\texttt{\scriptsize rmask(nysg:nyng,nxlg:nxrg,0:\textcolor{blue}{statistic\_regions})}}
        \end{center}
-       The last index represents the respective statistic region (index {\texttt{\scriptsize 0}} stands for total domain). Assign a 1 to each array element (grid point) which shall belong to the respective statistic region.\\
-       {\texttt{\scriptsize rmask}} is pre-set as:
+       The last index represents the respective statistic region (index {\texttt{\scriptsize 0}} stands for total domain). Assign a 1 to each array element (grid point) which shall belong to the respective statistic region. {\texttt{\scriptsize rmask}} is pre-set as:
        \begin{center}
-       {\texttt{\scriptsize rmask(:,:,0:9)   = 1}}
+       {\texttt{\scriptsize rmask(:,:,0:\textcolor{blue}{statistic\_regions})   = 1}}
        \end{center}
     \end{enumerate}
@@ -129,7 +128,7 @@
        {\texttt{\scriptsize shf $=$ shf * rmask(:,:,1)}}
        \end{center}
-       sets the surface heatflux to zero at all those array elements (grid points), where {\texttt{\scriptsize rmask(...,1)}} is zero.
+       This sets the surface heatflux to zero at all those array elements (grid points) where {\texttt{\scriptsize rmask(...,1)}} is zero.
        \item<3-> In case of using the default netCDF format, the profile data for the additional statistic regions are added to the default local file {\texttt{\scriptsize DATA\_1D\_PR\_NETCDF}}.
-       \item<4-> The developing mean flow is quasi two-dimensional (in the xz-plane). You can easily get plots of the mean flow by averaging results along the y-axis. The standard output provides such averages. See description of parameter {\texttt{\scriptsize \textcolor{blue}{section\_xz}}} on how to get averages along y.
+       \item<4-> The developing mean flow is quasi two-dimensional (in the $xz$-plane). You can easily get plots of the mean flow by averaging results along the $y$-axis. The standard output provides such averages. See description of parameter {\texttt{\scriptsize \textcolor{blue}{section\_xz}}} on how to get averages along $y$.
     \end{itemize}
 \end{frame}
@@ -137,9 +136,21 @@
 % Folie 5
 \begin{frame}
-   \frametitle{If You Finished the Exercise Very Fast:}
+   \frametitle{Bonus (if you finished the exercise very fast):}
     \begin{itemize}
-       \item<1-> Repeat the simulation, but now for a geostrophic wind of 0.5 m/s
-       \item<2-> The resulting flow will be (should be) quite similar to the flow over an arctic lead.
+       \item<1-> Repeat the simulation, but now for a geostrophic wind of 0.5 m s$^{-1}$
+       
+        (Consider the wind direction!)
+       \item<1-> The resulting flow will be quite similar to the flow over an arctic lead
     \end{itemize}
+       \begin{columns}
+       \begin{column}{8cm}
+      \includegraphics[angle=0,width=0.95\textwidth]{exercise_interface_figures/arctic_lead_nasa_2013.jpg}
+      \end{column}
+      \begin{column}{3cm}
+      \tiny
+      \vspace{-4.8cm}
+      $\Leftarrow$ Image curtesy: NASA, 2013
+      \end{column}
+  \end{columns}
 \end{frame}
 
@@ -150,8 +161,8 @@
 % Folie 7
 \begin{frame}
-   \frametitle{XY cross-sections}
-   \begin{center}
-      \includegraphics[width=0.415\textwidth]{exercise_interface_figures/xy_shf.eps}
-      \includegraphics[angle=90,width=0.60\textwidth]{exercise_interface_figures/xy_w.eps}\\
+   \frametitle{xy cross-sections: vertical velocity and surface heat flux}
+   \vspace{-0.15cm}
+   \begin{center}
+      \includegraphics[width=0.9\textwidth]{exercise_interface_figures/interface_shf.pdf}
    \end{center}
 \end{frame}
@@ -159,7 +170,7 @@
 % Folie 8
 \begin{frame}
-   \frametitle{vertical profiles (I)}
-   \begin{center}
-      \includegraphics[angle=90,width=0.8\textwidth]{exercise_interface_figures/pr_pt0.eps}
+   \frametitle{vertical profiles: potential temperature}
+   \begin{center}
+      \includegraphics[angle=0,width=1.0\textwidth]{exercise_interface_figures/interface_pt.pdf}
    \end{center}
 \end{frame}
@@ -167,7 +178,8 @@
 % Folie 9
 \begin{frame}
-   \frametitle{XZ cross-sections after 1h (averaged)}
-   \begin{center}
-      \includegraphics[angle=90,width=0.8\textwidth]{exercise_interface_figures/xz_w_avg.eps}\\
+   \frametitle{xz cross-sections: vertical velocity}
+      \vspace{-0.15cm}
+   \begin{center}
+      \includegraphics[angle=0,width=0.9\textwidth]{exercise_interface_figures/interface_w_av.pdf}\\
    \end{center}
 \end{frame}
@@ -175,7 +187,7 @@
 % Folie 10
 \begin{frame}
-   \frametitle{XZ cross-sections after 1h (instantaneous)}
-   \begin{center}
-      \includegraphics[angle=90,width=0.8\textwidth]{exercise_interface_figures/xz_w_y1000.eps}\\
+   \frametitle{vertical profiles: resolved vertical heat flux}
+   \begin{center}
+      \includegraphics[angle=0,width=1.0\textwidth]{exercise_interface_figures/interface_wpt_res.pdf}
    \end{center}
 \end{frame}
@@ -183,7 +195,7 @@
 % Folie 11
 \begin{frame}
-   \frametitle{vertical profiles (II)}
-   \begin{center}
-      \includegraphics[angle=90,width=0.75\textwidth]{exercise_interface_figures/pr_wpt_resolved.eps}
+   \frametitle{vertical profiles: subgrid scale vertical heat flux}
+   \begin{center}
+      \includegraphics[angle=0,width=1.0\textwidth]{exercise_interface_figures/interface_wpt_sgs.pdf}
    \end{center}
 \end{frame}
@@ -191,7 +203,7 @@
 % Folie 12
 \begin{frame}
-   \frametitle{time series (I)}
-   \begin{center}
-      \includegraphics[angle=90,width=0.7\textwidth]{exercise_interface_figures/ts_pt0.eps}\\
+   \frametitle{time series: potential temperature and vertical heat flux}
+   \begin{center}
+      \includegraphics[angle=0,width=0.85\textwidth]{exercise_interface_figures/interface_ts.pdf}\\
    \end{center}
 \end{frame}
@@ -199,34 +211,10 @@
 % Folie 13
 \begin{frame}
-   \frametitle{time series (II)}
-   \begin{center}
-      \includegraphics[angle=90,width=0.7\textwidth]{exercise_interface_figures/ts_wpt0.eps}\\
-   \end{center}
-\end{frame}
-
-% Folie 14
-\begin{frame}
-   \frametitle{time series (III)}
-   \begin{center}
-      \includegraphics[angle=90,width=0.7\textwidth]{exercise_interface_figures/ts_wpt0_sgs.eps}\\
-   \end{center}
-\end{frame}
-
-% Folie 15
-\begin{frame}
-   \frametitle{XZ cross-sections (b) - averaged}
-   \begin{center}
-      \includegraphics[angle=90,width=0.7\textwidth]{exercise_interface_figures/xz_w_avg_wind.eps}
-   \end{center}
-\end{frame}
-
-% Folie 16
-\begin{frame}
-   \frametitle{XZ cross-sections (b) - instantaneous}
-   \begin{center}
-      \includegraphics[angle=90,width=0.7\textwidth]{exercise_interface_figures/xz_w_y250_wind.eps}\\
-   \end{center}
-\end{frame}
-
+   \frametitle{Bonus: xz cross-sections: vertical velocity}
+         \vspace{-0.15cm}
+   \begin{center}
+      \includegraphics[angle=0,width=0.9\textwidth]{exercise_interface_figures/interface_lead.pdf}
+   \end{center}
+\end{frame}
 
 \end{document}