Index: palm/trunk/TUTORIAL/SOURCE/exercise_cbl.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/exercise_cbl.tex	(revision 1645)
+++ palm/trunk/TUTORIAL/SOURCE/exercise_cbl.tex	(revision 1649)
@@ -165,5 +165,5 @@
    \onslide<2-> You will find some more detailed information to solve this exercise in the PALM-online-documentation under:\\
    \ \\
-   \small\url{http://palm.muk.uni-hannover.de/wiki/doc/app/examples/cbl}\\
+   \small\url{http://palm.muk.uni-hannover.de/trac/wiki/doc/app/examples/cbl}\\
    \ \\
    \normalsize (Attention: This documentation is for atmospheric convection with free upper lid.)
@@ -172,5 +172,5 @@
    \onslide<3-> \normalsize Please also visit\\
    \ \\
-   \small\url{http://palm.muk.uni-hannover.de/wiki/doc/app/netcdf}\\
+   \small\url{http://palm.muk.uni-hannover.de/trac/wiki/doc/app/netcdf}\\
    \ \\
    \normalsize where the complete PALM netCDF-data-output and the respective steering parameters are described.
Index: palm/trunk/TUTORIAL/SOURCE/exercise_cumulus.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/exercise_cumulus.tex	(revision 1645)
+++ palm/trunk/TUTORIAL/SOURCE/exercise_cumulus.tex	(revision 1649)
@@ -214,5 +214,5 @@
       \item<5-> Do not forget to adapt \texttt{user\_check\_data\_output\_pr} (for defining your user-profiles) and your parameter file (\texttt{userpar} namelist) for the output (with the parameter \texttt{data\_output\_pr\_user = 'your\_profile'})!
       \item<6-> Check the online documentation of PALM for more detailed information on the implementation of user profiles:\\ 
-      \texttt{\hphantom{aaa}http://palm.muk.uni-hannover.de/wiki/doc/app/userint/output\#part\_1}\\ 
+      \texttt{\hphantom{aaa}http://palm.muk.uni-hannover.de/trac/wiki/doc/app/userint/output\#part\_1}\\ 
       Further examples are also provided within the subroutines \texttt{user\_statistics} and \texttt{user\_check\_data\_output\_pr}.
       
Index: palm/trunk/TUTORIAL/SOURCE/exercise_topography.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/exercise_topography.tex	(revision 1645)
+++ palm/trunk/TUTORIAL/SOURCE/exercise_topography.tex	(revision 1649)
@@ -190,13 +190,13 @@
    \scriptsize
    Please see under \\
-   \textbf{http://palm.muk.uni-hannover.de/wiki/doc/app/netcdf}  \\ 
+   \textbf{http://palm.muk.uni-hannover.de/trac/wiki/doc/app/netcdf}  \\ 
    \par\medskip  
    where the complete PALM netCDF-data-output and the respective steering parameters are described. 
    \par\medskip
    For topography, see \\
-   \textbf{http://palm.muk.uni-hannover.de/wiki/doc/app/inipar\#topo}\\
+   \textbf{http://palm.muk.uni-hannover.de/trac/wiki/doc/app/inipar\#topo}\\
    \par\medskip
    and especially for raster topography, see also
-   \textbf{http://palm.muk.uni-hannover.de/wiki/doc/app/iofiles\#TOPOGRAPHY\_DATA} \\
+   \textbf{http://palm.muk.uni-hannover.de/trac/wiki/doc/app/iofiles\#TOPOGRAPHY\_DATA} \\
    \par\medskip
    as well as the presentation ''Using topography (I)''.
Index: palm/trunk/TUTORIAL/SOURCE/final_remarks.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/final_remarks.tex	(revision 1645)
+++ palm/trunk/TUTORIAL/SOURCE/final_remarks.tex	(revision 1649)
@@ -100,22 +100,22 @@
    \vspace{-2mm}
    \begin{itemize}
-      \item<2->{... about application for urban flows: \\ \par\medskip
+      \item<2->{... about the current model status (PALM 4.0)  \\ \par\medskip
+            \tiny{\textbf{Maronga, B., Gryschka, M., Heinze, R., Hoffmann, F., Kanani-SÃŒhring, F., Keck, M., Ketelsen, K., Letzel, M. O., SÃŒhring, M., and Raasch, S., 2015}: The Parallelized Large-Eddy Simulation Model (PALM) 
+            version 4.0 for atmospheric and oceanic flows: model formulation, recent developments, and future perspectives, Geosci. Model Dev., 8, 2515-2551, doi:10.5194/gmd-8-2515-2015.
+      \item<3->{... about application for urban flows: \\ \par\medskip
             \tiny{\textbf{Letzel, M.O., M. Krane and S. Raasch, 2008}: High resolution urban large-eddy simulation studies 
-            from street canyon to neighbourhood scale, Atmos. Env., 42, 8770-8784, doi:10.1016/j.atmosenv.2008.08.001. \\
-            \textbf{Contact person}:    Marius Keck      keck@muk.uni-hannover.de}} 
-      \item<3->{... about non-cyclic boundary conditions: \\ \par\medskip 
+            from street canyon to neighbourhood scale, Atmos. Env., 42, 8770-8784, doi:10.1016/j.atmosenv.2008.08.001.
+      \item<4->{... about non-cyclic boundary conditions: \\ \par\medskip 
             \tiny{\textbf{Gryschka, M. and S. Raasch, 2005}: Roll Convection During a Cold Air Outbreak: A Large Eddy Simulation with Stationary Model Domain.
             Geophys. Res. Lett., 32, L14805, doi:10.1029/2005GL022872. \\ \par\medskip
             \textbf{Gryschka, M., C. DrÃŒe, D. Etling and S. Raasch. 2008}: On the influence of sea-ice inhomogeneities onto roll convection in
-            cold-air outbreaks, Geophys. Res. Lett., 35, L23804, doi:10.1029/2008GL035845.\\
-            \textbf{Contact person}:    Micha Gryschka     gryschka@muk.uni-hannover.de}}
-      \item<4->{... about the Lagrangian particle model: \\ \par\medskip
+            cold-air outbreaks, Geophys. Res. Lett., 35, L23804, doi:10.1029/2008GL035845.
+      \item<5->{... about the Lagrangian particle model: \\ \par\medskip
             \tiny{\textbf{Steinfeld, G., S. Raasch and T. Markkanen, 2008}: Footprints in homogeneously and heterogeneously driven boundary layers derived 
             from a Lagrangian stochastic particle model embedded into large-eddy simulation, Boundary-Layer Meteorol., 129, 225-248.\\ \par\medskip
-            \textbf{Riechelmann, T., Y. Noh and S. Raasch, 2012}: A new method for large-eddy simulations of clouds with Lagrangian droplets including the effects of turbulent collision., New J. Phys., 14, 065008.\\
-            \textbf{Contact person}:    Fabian Hoffmann    hoffmann@muk.uni-hannover.de}}
-      \item<5->{... on our webpage: \\
+            \textbf{Riechelmann, T., Y. Noh and S. Raasch, 2012}: A new method for large-eddy simulations of clouds with Lagrangian droplets including the effects of turbulent collision., New J. Phys., 14, 065008.
+      \item<6->{... on our webpage: \\
             \tiny{\textbf{http://palm.muk.uni-hannover.de}}}
-      \item<6->{Current model status (PALM 4.0) will be published soon \\in \textit{Geoscientific Model Development}}
+      \item<7->{Current model status (PALM 4.0) will be published soon \\in \textit{Geoscientific Model Development}}
    \end{itemize}
 \end{frame}
@@ -132,6 +132,6 @@
       \item<4->{Read the online documentation.}
       \item<5->{Discuss with colleagues (if you have).}
-      \item<6->{See the ticket system under  \textbf{http://palm.muk.uni-hannover.de/wiki/tickets} \\ if anyone reported a similar problem before.}
-      \item<7->{Use the ticket system under \textbf{http://palm.muk.uni-hannover.de/newticket} \\ and provide informations as detailed as possible
+      \item<6->{See the ticket system under  \textbf{http://palm.muk.uni-hannover.de/trac/wiki/tickets} \\ if anyone reported a similar problem before.}
+      \item<7->{Use the ticket system under \textbf{http://palm.muk.uni-hannover.de/trac/newticket} \\ and provide informations as detailed as possible
            (revision number that you are using, job protocol with error message, parameter file, run control file, other relevant 
            output files, other relevant informations).}
@@ -146,11 +146,13 @@
    \frametitle{PALM - Future Developments}
    \begin{itemize}
-      \item<1->{Hybrid MPI/OpenACC mode running on multiple GPUs}
+      \item<1->{Immersed boundary layer method / viscous topography}
       \vspace{5mm}
-      \item<2->{Porting for Intel Xeon-Phi}
+      \item<2->{Hybrid MPI/OpenACC mode running on multiple GPUs}
       \vspace{5mm}
-      \item<3->{Ready for deep convection using anelastic system of equations}
+      \item<3->{Porting for Intel Xeon-Phi}
       \vspace{5mm}
-      \item<4->{Nesting methods are under development}
+      \item<4->{Ready for deep convection using anelastic system of equations}
+      \vspace{5mm}
+      \item<5->{Nesting methods are under development}
    \end{itemize}
 \end{frame}
Index: palm/trunk/TUTORIAL/SOURCE/fundamentals_of_les.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/fundamentals_of_les.tex	(revision 1645)
+++ palm/trunk/TUTORIAL/SOURCE/fundamentals_of_les.tex	(revision 1649)
@@ -163,5 +163,5 @@
          \item<4->{\textbf{Problem:}}
          \begin{itemize}
-            \item<4->{Limited computer resources  (1996: $\sim$ $10^8$, today: $\sim$ $10^{11}$ gridpoints, 
+            \item<4->{Limited computer resources  (1996: $\sim$ $10^8$, today: $\sim$ $10^{12}$ gridpoints, 
                       but $\sim$ $10^{18}$ gridpoints needed, see prior slide).}
             \item<4->{$\unit[1]{h}$ simulation of $10^9$ ($2048^3$) gridpoints on $512$ processors of the HLRN supercomputer needs $\unit[10]{h}$ CPU time.}
Index: palm/trunk/TUTORIAL/SOURCE/installation.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/installation.tex	(revision 1645)
+++ palm/trunk/TUTORIAL/SOURCE/installation.tex	(revision 1649)
@@ -100,5 +100,5 @@
       %\item<4->{We will start with installing PALM on a \textcolor{green}{local} computer and running it interactively.}
       \item<4->{The installation instructions can also be found in the PALM online-documentation under\\ \par\medskip
-            \url{http://palm.muk.uni-hannover.de/wiki/doc/install}}
+            \url{http://palm.muk.uni-hannover.de/trac/wiki/doc/install}}
    \end{itemize}
 \end{frame}
@@ -111,5 +111,5 @@
 %       \item<1->{The following slides describe the installation procedure for running PALM on a \textcolor{green}{local} computer and how to verify the installation.}\\ \par\medskip
 %       \item<2->{The installation instructions can also be found in the PALM online-documentation under\\ \par\medskip
-%             \url{http://palm.muk.uni-hannover.de/wiki/doc/install}}
+%             \url{http://palm.muk.uni-hannover.de/trac/wiki/doc/install}}
 %    \end{itemize}
 % \end{frame}
Index: palm/trunk/TUTORIAL/SOURCE/mrun_steering_parameters.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/mrun_steering_parameters.tex	(revision 1645)
+++ palm/trunk/TUTORIAL/SOURCE/mrun_steering_parameters.tex	(revision 1649)
@@ -149,5 +149,5 @@
 \begin{frame}
    \frametitle{PALM - General Steering Parameters - Overview (II)}
-   \footnotesize A complete alphabetical list of all parameters can be found under: \url{http://palm.muk.uni-hannover.de/wiki/doc/app/parlist}
+   \footnotesize A complete alphabetical list of all parameters can be found under: \url{http://palm.muk.uni-hannover.de/trac/wiki/doc/app/parlist}
 
    \begin{itemize}
Index: palm/trunk/TUTORIAL/SOURCE/ncl.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/ncl.tex	(revision 1645)
+++ palm/trunk/TUTORIAL/SOURCE/ncl.tex	(revision 1649)
@@ -280,5 +280,5 @@
                    configuration file \texttt{.ncl.config} or in the 
                    documentation:\\
-                   \uncover<3->{\texttt{http://palm.muk.uni-hannover.de/wiki/doc/app/nclparlist}}\\
+                   \uncover<3->{\texttt{http://palm.muk.uni-hannover.de/trac/wiki/doc/app/nclparlist}}\\
       \vspace{2mm}
       \item<4-> Parameters specified in the prompt override parameters given
@@ -439,5 +439,5 @@
                 look to the NCL documentation\\
                 
-                \quad \texttt{http://palm.muk.uni-hannover.de/wiki/doc/app/nclparlist}\\
+                \quad \texttt{http://palm.muk.uni-hannover.de/trac/wiki/doc/app/nclparlist}\\
                 
                 for detailed information 
Index: palm/trunk/TUTORIAL/SOURCE/numerics_bc.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/numerics_bc.tex	(revision 1645)
+++ palm/trunk/TUTORIAL/SOURCE/numerics_bc.tex	(revision 1649)
@@ -685,5 +685,5 @@
             \left. \frac{\partial \theta}{\partial z} \right\vert_{t=0}$$
          \item<3-> Pressure: Dirichlet $p=0$ 
-            or Neumann $\dfrac{\partial p}{\partial z} = 0$
+            ( Neumann $\dfrac{\partial p}{\partial z} = 0$ is better )
          \item<4-> SGS-TKE: Neumann $\dfrac{\partial e}{\partial z} = 0$
          \item<5-> A damping layer can be switched on in order to absorb 
Index: palm/trunk/TUTORIAL/SOURCE/program_control.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/program_control.tex	(revision 1645)
+++ palm/trunk/TUTORIAL/SOURCE/program_control.tex	(revision 1649)
@@ -301,12 +301,12 @@
    \begin{tikzpicture}[scale=0.51, every node/.style={scale=0.51}]
       \node [green]{\begin{lstlisting}  
- ******************************      ------------------------------------------
- * PALM 3.10  Rev: 1443       *      atmosphere - 3D - run without 1D - prerun
- ******************************      ------------------------------------------
-
- Date:                 30-07-14      Run:       example_cbl         
- Time:                 14:41:23      Run-No.:   00
- Run on host:           lccrayh
- Number of PEs:               8      Processor grid (x,y): (  2,  4) calculated
+ ******************************    --------------------------------------------
+ * PALM 4.0  Rev: 1648        *    atmosphere - 3D - run without 1D - prerun
+ ******************************    --------------------------------------------
+
+ Date:                 15-09-15    Run:       example_cbl         
+ Time:                 17:34:44    Run-No.:   00
+ Run on host:             lcmuk
+ Number of PEs:               4    Processor grid (x,y): (   2,   2) calculated
  ------------------------------------------------------------------------------
 .
@@ -391,12 +391,12 @@
    \begin{tikzpicture}[scale=0.75, every node/.style={scale=0.75}]
       \node [green]{\begin{lstlisting}
-PALM 3.10  Rev: 1443  run: example_cbl.00  host: lccrayh  30-07-14 14:41:23
+PALM 4.0  Rev: 1648  run: example_cbl.00  host: lcmuk  15-09-15 17:34:44
 -----------
 
-CPU measures for     8 PEs (    2(x) *     4(y) tasks *    1 threads):
+CPU measures for     4 PEs (    2(x) *     2(y) tasks *    1 threads):
 
 gridpoints (x/y/z):                        40 *    40 *    40
 nr of timesteps:                          253
-cpu time per grid point and timestep:       0.27546 * 10**-6 s
+cpu time per grid point and timestep:       0.57070 * 10**-6 s
 ----------------------------------------------------------------------
 
@@ -404,37 +404,37 @@
                            sec.      %                sec.      sec.      sec.
 ------------------------------------------------------------------------------
-total                     4.460   100.00       1     4.460     4.460     0.001
-all progn.equations       2.943    65.98     759     2.905     2.982     0.028
-pres                      0.611    13.70     760     0.611     0.611     0.000
-diffusivities             0.338     7.59     759     0.338     0.339     0.001
-exchange-horiz-progn      0.146     3.28     759     0.108     0.185     0.028
-calculate_timestep        0.118     2.64     253     0.070     0.125     0.018
-flow_statistics           0.103     2.31     254     0.102     0.104     0.001
-prandtl_fluxes            0.062     1.40     759     0.062     0.063     0.000
-initialisation            0.062     1.39       1     0.061     0.061     0.001
-data_output_2d            0.028     0.62      10     0.021     0.028     0.002
-sum_up_3d_data            0.004     0.10     146     0.004     0.005     0.000
-disturb_field             0.004     0.08      10     0.003     0.007     0.001
-run_control               0.003     0.07     254     0.000     0.000     0.008
-last actions              0.003     0.07       1     0.003     0.003     0.000
-data_output_tseries       0.003     0.06     253     0.000     0.000     0.007
-data_output_profiles      0.001     0.02       4     0.000     0.000     0.002
-swap_timelevel            0.000     0.01     759     0.000     0.000     0.000
-user_actions              0.000     0.01     759     0.000     0.000     0.000
+total                     9.241   100.00       1     9.241     9.241     0.000
+all progn.equations       5.899    63.83     759     5.827     5.977     0.056
+pres                      1.508    16.32     760     1.506     1.508     0.002
+diffusivities             0.632     6.84     759     0.624     0.642     0.006
+exchange-horiz-progn      0.412     4.45     759     0.333     0.441     0.056
+flow_statistics           0.270     2.92     254     0.269     0.271     0.001
+calculate_timestep        0.205     2.21     253     0.150     0.223     0.031
+prandtl_fluxes            0.150     1.63     759     0.148     0.153     0.002
+sum_up_3d_data            0.016     0.17     146     0.016     0.016     0.000
+initialisation            0.014     0.15       1     0.014     0.014     0.000
+disturb_field             0.006     0.06      10     0.005     0.006     0.001
+data_output_2d            0.004     0.04      10     0.003     0.004     0.000
+data_output_tseries       0.003     0.04     253     0.000     0.000     0.006
+run_control               0.003     0.03     254     0.000     0.000     0.005
+swap_timelevel            0.001     0.01     759     0.001     0.001     0.000
+last actions              0.001     0.01       1     0.000     0.001     0.000
 average_3d_data           0.000     0.00       2     0.000     0.000     0.000
+user_actions              0.000     0.00     759     0.000     0.000     0.000
+data_output_profiles      0.000     0.00       4     0.000     0.000     0.000
 
 special measures:
 -------------------------------------------------------------------------------
-timesteps                 4.391    98.45     253     4.391     4.391     0.000
-poisfft                   0.441     9.90     760     0.440     0.443     0.001
-exchange_horiz            0.233     5.22    6866     0.193     0.275     0.029
-fft_y                     0.122     2.73     760     0.121     0.122     0.000
-fft_x                     0.121     2.71     760     0.121     0.121     0.000
-transpo invers            0.084     1.89     760     0.084     0.085     0.000
-transpo forward           0.077     1.72     760     0.075     0.078     0.001
-mpi_alltoall              0.063     1.42    4560     0.060     0.065     0.002
-divergence                0.043     0.97    1520     0.043     0.044     0.000
-tridia                    0.036     0.81     760     0.036     0.036     0.000
-exchange_horiz_2d         0.021     0.47    3795     0.019     0.022     0.001
+timesteps                 9.222    99.80     253     9.222     9.222     0.000
+poisfft                   0.871     9.42     760     0.868     0.873     0.002
+exchange_horiz            0.588     6.37    6866     0.505     0.619     0.058
+divergence                0.259     2.81    1520     0.258     0.261     0.001
+fft_y                     0.239     2.59     760     0.236     0.244     0.003
+fft_x                     0.238     2.58     760     0.236     0.243     0.002
+transpo forward           0.195     2.12     760     0.187     0.202     0.006
+mpi_alltoall              0.162     1.75    4560     0.148     0.169     0.008
+transpo invers            0.113     1.22     760     0.109     0.114     0.002
+tridia                    0.083     0.90     760     0.082     0.084     0.000
+exchange_horiz_2d         0.040     0.44    3795     0.034     0.046     0.005
 \end{lstlisting}
       };
@@ -493,5 +493,5 @@
       \item<1->{A detailed description of how to use PALM and a complete list of steering parameters and their meaning can be found on the PALM-server: \\
             \par\bigskip
-            \textbf{http://palm.muk.uni-hannover.de/wiki/doc/toc}}
+            \textbf{http://palm.muk.uni-hannover.de/trac/wiki/doc/toc}}
       \par\bigskip
       \item<2->{General information about the netCDF data format can be found under \\
Index: palm/trunk/TUTORIAL/SOURCE/user_defined_code.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/user_defined_code.tex	(revision 1645)
+++ palm/trunk/TUTORIAL/SOURCE/user_defined_code.tex	(revision 1649)
@@ -516,5 +516,5 @@
    \ \\
    See PALM online documentation under \\
-   \textbf{http://palm.muk.uni-hannover.de/wiki/doc/app/userint}\\
+   \textbf{http://palm.muk.uni-hannover.de/trac/wiki/doc/app/userint}\\
    for detailed explanations.
 
@@ -786,5 +786,5 @@
       \item<6-> The online documentation gives very detailed instructions about how to modify the interface in order to output user-defined quantities under\\
       \vspace{1mm}
-      \textbf{http://palm.muk.uni-hannover.de/wiki/doc/app/userint/output}
+      \textbf{http://palm.muk.uni-hannover.de/trac/wiki/doc/app/userint/output}
    \end{itemize}
 \end{frame}