Index: palm/trunk/TUTORIAL/SOURCE/exercise_cbl.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/exercise_cbl.tex	(revision 1650)
+++ palm/trunk/TUTORIAL/SOURCE/exercise_cbl.tex	(revision 1657)
@@ -202,4 +202,10 @@
 \end{frame}
 
+\bgroup
+\setbeamercolor{background canvas}{bg=white}
+\begin{frame}[plain,noframenumbering]{}
+\end{frame}
+\egroup
+
 % Folie 8
 \section{Results}
Index: palm/trunk/TUTORIAL/SOURCE/exercise_cumulus.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/exercise_cumulus.tex	(revision 1650)
+++ palm/trunk/TUTORIAL/SOURCE/exercise_cumulus.tex	(revision 1657)
@@ -239,4 +239,10 @@
 \end{frame}
 
+\bgroup
+\setbeamercolor{background canvas}{bg=white}
+\begin{frame}[plain,noframenumbering]{}
+\end{frame}
+\egroup
+
 % Folie 9
 \section{Results}
Index: palm/trunk/TUTORIAL/SOURCE/exercise_interface.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/exercise_interface.tex	(revision 1650)
+++ palm/trunk/TUTORIAL/SOURCE/exercise_interface.tex	(revision 1657)
@@ -155,4 +155,10 @@
 \end{frame}
 
+\bgroup
+\setbeamercolor{background canvas}{bg=white}
+\begin{frame}[plain,noframenumbering]{}
+\end{frame}
+\egroup
+
 % Folie 6
 \section{Results \quad \, }
Index: palm/trunk/TUTORIAL/SOURCE/exercise_neutral.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/exercise_neutral.tex	(revision 1650)
+++ palm/trunk/TUTORIAL/SOURCE/exercise_neutral.tex	(revision 1657)
@@ -138,4 +138,10 @@
  \end{frame}
 
+\bgroup
+\setbeamercolor{background canvas}{bg=white}
+\begin{frame}[plain,noframenumbering]{}
+\end{frame}
+\egroup
+
 % Folie 6
 \section{Results}
Index: palm/trunk/TUTORIAL/SOURCE/exercise_topography.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/exercise_topography.tex	(revision 1650)
+++ palm/trunk/TUTORIAL/SOURCE/exercise_topography.tex	(revision 1657)
@@ -241,4 +241,10 @@
 \end{frame}
 
+\bgroup
+\setbeamercolor{background canvas}{bg=white}
+\begin{frame}[plain,noframenumbering]{}
+\end{frame}
+\egroup
+
 \section{Results}
 \subsection{Results}
Index: palm/trunk/TUTORIAL/SOURCE/final_remarks.tex
===================================================================
--- palm/trunk/TUTORIAL/SOURCE/final_remarks.tex	(revision 1650)
+++ palm/trunk/TUTORIAL/SOURCE/final_remarks.tex	(revision 1657)
@@ -100,22 +100,30 @@
    \vspace{-2mm}
    \begin{itemize}
-      \item<2->{... about the current model status (PALM 4.0)  \\ \par\medskip
+      \item<1->{... about the current model status (PALM 4.0)  \\ \par\medskip 
             \tiny{\textbf{Maronga, B., Gryschka, M., Heinze, R., Hoffmann, F., Kanani-SÃŒhring, F., Keck, M., Ketelsen, K., Letzel, M. O., SÃŒhring, M., and Raasch, S., 2015}: The Parallelized Large-Eddy Simulation Model (PALM) 
-            version 4.0 for atmospheric and oceanic flows: model formulation, recent developments, and future perspectives, Geosci. Model Dev., 8, 2515-2551, doi:10.5194/gmd-8-2515-2015.
-      \item<3->{... about application for urban flows: \\ \par\medskip
+            version 4.0 for atmospheric and oceanic flows: model formulation, recent developments, and future perspectives, Geosci. Model Dev., 8, 2515-2551, doi:10.5194/gmd-8-2515-2015.}}
+      \item<2->{... about application for urban flows: \\ \par\medskip 
             \tiny{\textbf{Letzel, M.O., M. Krane and S. Raasch, 2008}: High resolution urban large-eddy simulation studies 
-            from street canyon to neighbourhood scale, Atmos. Env., 42, 8770-8784, doi:10.1016/j.atmosenv.2008.08.001.
-      \item<4->{... about non-cyclic boundary conditions: \\ \par\medskip 
+            from street canyon to neighbourhood scale, Atmos. Env., 42, 8770-8784, doi:10.1016/j.atmosenv.2008.08.001.}}
+      \item<3->{... about non-cyclic boundary conditions: \\ \par\medskip 
             \tiny{\textbf{Gryschka, M. and S. Raasch, 2005}: Roll Convection During a Cold Air Outbreak: A Large Eddy Simulation with Stationary Model Domain.
-            Geophys. Res. Lett., 32, L14805, doi:10.1029/2005GL022872. \\ \par\medskip
+            Geophys. Res. Lett., 32, L14805, doi:10.1029/2005GL022872. \\ \par\medskip 
             \textbf{Gryschka, M., C. DrÃŒe, D. Etling and S. Raasch. 2008}: On the influence of sea-ice inhomogeneities onto roll convection in
-            cold-air outbreaks, Geophys. Res. Lett., 35, L23804, doi:10.1029/2008GL035845.
-      \item<5->{... about the Lagrangian particle model: \\ \par\medskip
+            cold-air outbreaks, Geophys. Res. Lett., 35, L23804, doi:10.1029/2008GL035845.}}
+   \end{itemize}
+\end{frame}
+
+% Folie 4b
+\begin{frame}
+   \frametitle{More PALM Information ...}
+   \footnotesize
+   \vspace{-2mm}
+   \begin{itemize}
+      \item<1->{... about the Lagrangian particle model: \\ \par\medskip 
             \tiny{\textbf{Steinfeld, G., S. Raasch and T. Markkanen, 2008}: Footprints in homogeneously and heterogeneously driven boundary layers derived 
             from a Lagrangian stochastic particle model embedded into large-eddy simulation, Boundary-Layer Meteorol., 129, 225-248.\\ \par\medskip
-            \textbf{Riechelmann, T., Y. Noh and S. Raasch, 2012}: A new method for large-eddy simulations of clouds with Lagrangian droplets including the effects of turbulent collision., New J. Phys., 14, 065008.
-      \item<6->{... on our webpage: \\
+            \textbf{Riechelmann, T., Y. Noh and S. Raasch, 2012}: A new method for large-eddy simulations of clouds with Lagrangian droplets including the effects of turbulent collision., New J. Phys., 14, 065008.}}
+      \item<2->{... on our webpage: \\
             \tiny{\textbf{http://palm.muk.uni-hannover.de}}}
-      \item<7->{Current model status (PALM 4.0) will be published soon \\in \textit{Geoscientific Model Development}}
    \end{itemize}
 \end{frame}